import QtQuick      2.3
import QtLocation   5.3

import QGroundControl.ScreenTools   1.0
import QGroundControl.Controls      1.0
import QGroundControl.Vehicle       1.0

/// Marker for displaying a mission item on the map
MapQuickItem {
    id: _item

    property int sequenceNumber
    property string label
    property bool checked

    signal clicked

    anchorPoint.x:  sourceItem.anchorPointX
    anchorPoint.y:  sourceItem.anchorPointY

    sourceItem:
        MissionItemIndexLabel {
            id:             _label
            checked:        _item.checked
            label:          _item.label
            index:          _item.sequenceNumber
            gimbalYaw:      0
            vehicleYaw:     0
            showGimbalYaw:  false
            onClicked:      _item.clicked()
        }
}
